<?xml version="1.0" encoding="UTF-8"?>
<panel title="Non Player Profile Panel">

  <!-- attribute colouring -->
  <integer id="exca" value="16" />
  <!-- excellent threshold -->
  <integer id="excn" value="11" />
  <!-- normal threshold -->
  <integer id="excl" value="6" />
  <!-- low threshold -->


  <!-- MAIN AREA -->
  <layout class="stick_to_sides_attachment" alignment="all" inset="0" layout_children="true" />
  <container class="vertical_adaptive_container" inset="0" offset="0">

    <!-- main box -->
    <container class="titled_box" default_height="290" title="Profile">
      <layout class="fit_children_attachment" alignment="vertical, fill" offset="0" gap="0" layout_children="true"/>
      <layout class="arrange_horizontal_attachment" offset="0" layout="-1, -2" gap="4"/>
      <layout class="stick_to_sides_attachment" alignment="top" layout_children="true" inset="0"/>

      <!-- Personal Information Panel -->
      <container>
        <layout class="stick_to_sides_attachment" alignment="all" inset="0" layout_children="true"/>

        <!-- WITH PORTRAIT -->
        <!-- this version of the table is used if the player portrait is visible -->
        <widget class="table" id="pld1" mode="fill_rows, stripe_rows, printable" layout="-3,-2,-2" auto_size_rows="true" stretch_to_fit_rows="true" row_spacing="0">
          <list id="headings">
            <record text="Personal Details" alignment="left, centre_y" column_span="3"/>
          </list>

          <list id="column_properties">
            <record indx="0" alignment="left,centre_y" spec="text"/>
            <record indx="1" alignment="right,centre_y" colour="selection"/>
            <record indx="2" alignment="right,centre_y" colour="selection"/>
          </list>

          <list id="column_display_properties">
            <record indx="0" left="4" sort_disabled="true"/>
            <record indx="1" left="4" sort_disabled="true"/>
            <record indx="2" rght="4" sort_disabled="true"/>
          </list>

          <!-- Logo and Picture Container -->
          <widget class="group_box" row="0" col="0" column_span="2" row_span="8">

            <!-- Club Logo -->
            <widget class="picture" id="rgtF" transparency="0.1" scale_picture="true" keep_aspect_ratio="true" height="136" width="136" image_alignment="centre">
              <layout class="stick_to_sides_attachment" alignment="left" offset="0"/>
              <layout class="stick_to_sides_attachment" alignment="top" inset="4"/>

              <!-- tells the picture to listen to the 'main picture' global property being set, and set its own file property from it -->
              <attachment class="get_global_attachment" get_property="mnpc" set_property="file" skip_if_null="false"/>

            </widget>

            <!-- Player Picture -->
            <widget class="picture" id="ppic" scale_picture="true" keep_aspect_ratio="true" height="180" width="180" image_alignment="centre">
              <layout class="stick_to_sides_attachment" alignment="left" inset="40"/>
              <layout class="stick_to_sides_attachment" alignment="top" inset="0"/>
            </widget>
          </widget>

          <widget class="nation_button" id="pfna" col="1" row="0" icon_alignment="right,can_scale" column_span="2" dspf="1"/>

          <widget class="international_appearances_label" id="pfcg" col="1" row="1" icon_alignment="right,can_scale" column_span="2" />

          <widget class="label" id="pdob" col="1" row="2" column_span="2" />

          <widget class="label" id="pfag" col="1" row="3" column_span="2" />

          <widget class="label" id="pgen" col="1" row="4" column_span="2" />

          <widget class="label" id="prep" col="1" row="5" column_span="2" />

          <widget class="label" text="Club Job[COMMENT: the non-player's job for a club e.g. coach]" col="0" row="8" column_span="2" />
          <widget class="label" id="pcjo" col="1" row="8" column_span="2" />

          <widget class="label" text="National Job[COMMENT: the non-player's job for a national team e.g. coach]" col="0" row="9" column_span="2" />
          <widget class="label" id="pnjo" col="1" row="9" column_span="2" />

          <widget class="label" text="Best Training Category[COMMENT: backroom advice; training feedback, headline]" col="0" row="12" column_span="2" />
          <widget class="label" id="btcl" col="1" row="12" column_span="2" />

          <!-- Contracted To (when context team is national side so you know which club he belongs to) -->
          <widget class="text" spec="text" id="pinf" col="0" row="11" column_span="3" colour="profile extra text" alignment="right, centre_y"/>

        </widget>

        <!-- WITHOUT PORTRAIT -->
        <!-- this version of the table is used if the player portrait is hidden -->
        <widget class="table" id="pld2" mode="fill_rows, stripe_rows, printable" layout="-1,-1,-1" auto_size_rows="true" stretch_to_fit_rows="true" row_spacing="0">
          <list id="headings">
            <record text="Personal Details" alignment="left, centre_y" column_span="3"/>
          </list>

          <list id="column_properties">
            <record indx="0" alignment="left,centre_y" spec="text"/>
            <record indx="1" alignment="right,centre_y" colour="selection"/>
            <record indx="2" alignment="right,centre_y" colour="selection"/>
          </list>

          <list id="column_display_properties">
            <record indx="0" left="4" sort_disabled="true"/>
            <record indx="1" left="4" sort_disabled="true"/>
            <record indx="2" rght="4" sort_disabled="true"/>
          </list>

          <widget class="label" text="Nationality" col="0" row="0" column_span="2" />
          <widget class="nation_button" id="pfna" col="1" row="0" icon_alignment="right,can_scale" column_span="2" dspf="1"/>

          <widget class="label" text="International" col="0" row="1" column_span="2" />
          <widget class="international_appearances_label" id="pfcg" col="1" row="1" icon_alignment="right,can_scale" column_span="2" />

          <widget class="label" text="Born" col="0" row="2" column_span="2" />
          <widget class="label" id="pdob" col="1" row="2" column_span="2" />

          <widget class="label" text="Age" col="0" row="3" column_span="2" />
          <widget class="label" id="pfag" col="1" row="3" column_span="2" />

          <widget class="label" text="Gender[COMMENT: the non-player's gender e.g. female]" col="0" row="4" column_span="2" />
          <widget class="label" id="pgen" col="1" row="4" column_span="2" />

          <widget class="label" text="Reputation" id="preL" col="0" row="5" column_span="2" />
          <widget class="label" id="prep" col="1" row="5" column_span="2" />

          <widget class="label" text="Club Job[COMMENT: the non-player's job for a club e.g. coach]" col="0" row="6" column_span="2" />
          <widget class="label" id="pcjo" col="1" row="6" column_span="2" />

          <widget class="label" text="National Job[COMMENT: the non-player's job for a national team e.g. coach]" col="0" row="7" column_span="2" />
          <widget class="label" id="pnjo" col="1" row="7" column_span="2" />

          <!-- Contracted To (when context team is national side so you know which club he belongs to) -->
          <widget class="text" spec="text" id="pinf" col="0" row="8" column_span="3" colour="profile extra text" alignment="right, centre_y"/>

        </widget>

      </container>

      <!-- Attributes Container -->
      <container class="non_player_attributes_panel" id="patp">
        <layout class="stick_to_sides_attachment" alignment="vertical" inset="0"/>
      </container>
    </container>

    <!-- Tactics Panel -->
    <container>
      <layout class="fit_children_attachment" alignment="vertical, fill" offset="0" gap="0"/>
      <layout class="stick_to_sides_attachment" alignment="horizontal" inset="0" layout_children="true"/>

      <widget class="table" mode="fill_rows, stripe_rows, printable" id="nptt" layout="-1,-1,-1,-1" auto_size_rows="true" stretch_to_fit_rows="true" row_spacing="0">
        <layout class="stick_to_sides_attachment" alignment="top" inset="0"/>

        <boolean id="scst" value="true"/>
        <boolean id="sdst" value="true"/>

        <list id="headings">
          <record text="Tactics" alignment="left, centre_y" column_span="4"/>
        </list>

        <list id="column_properties">
          <record indx="0" alignment="left,centre_y" spec="text"/>
          <record indx="1" alignment="right,centre_y" colour="selection"/>
          <record indx="2" alignment="left,centre_y" spec="text"/>
          <record indx="3" alignment="right,centre_y" colour="selection"/>
        </list>

        <list id="column_display_properties">
          <record indx="0" left="4" sort_disabled="true"/>
          <record indx="1" rght="4" sort_disabled="true"/>
          <record indx="2" left="4" sort_disabled="true"/>
          <record indx="3" rght="4" sort_disabled="true"/>
        </list>
      </widget>
    </container>

    <!-- Information Panel -->
    <container id="infp" default_height="-1">
      <layout class="arrange_vertical_attachment" alignment="top,extend" offset="0" gap="4"/>
      <layout class="stick_to_sides_attachment" alignment="horizontal" layout_children="true" inset="0" />

      <widget class="non_player_contract_panel" id="npcp"/>

      <!-- container showing staff roles and knowledge side by side -->
      <container>
        <layout class="arrange_horizontal_attachment" alignment="left" layout="-1, -1" offset="0" gap="4"/>
        <layout class="stick_to_sides_attachment" alignment="vertical" layout_children="true" inset="0" />

        <widget class="non_player_roles_panel" id="nprp"/>
        <widget class="non_player_knowledge_panel" id="npkn"/>
      </container>
    </container>
  </container>
</panel>
